MP4(3)

NAME

MP4GetTrackTimeScale - Get the time scale of a track

SYNTAX

#include <mp4.h>

u_int32_t MP4GetTrackTimeScale(
    MP4FileHandle hFile,
    MP4TrackId trackId
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track for which time scale is desired.

RETURN VALUES

The time scale (ticks per second) of the track in the mp4 file.

DESCRIPTION

MP4GetTrackTimeScale returns the time scale of the specified track in the mp4 file. The time scale determines the number of clock ticks per second for this track.

SEE ALSO

MP4(3)